layoutWoods1Kiosk.mExits =
{
}

layoutWoods1Kiosk.mPOIs = 
{
}

layoutWoods1Kiosk.mHOs = 
{
}

layoutWoods1Kiosk.mIOs =
{
}
layoutWoods1Kiosk.mEffectMosquitos	= nil
layoutWoods1Kiosk.mFirstTime = true
-- ----------------------------------------------------------------------------
function layoutWoods1Kiosk:onConstruct()
	
	Layout.onConstruct(self)
	
	self.mEffectMosquitos = self:newChildParticle( { name = "PARTICLE_WOODS1KIOSK_LAMP_MOSQUITOS", x=282, y=52, library="PARTICLE_LAMP_MOSQUITOS", section="particles", play=true, removeWhenFinished=false } )
	
end
-- ----------------------------------------------------------------------------
function layoutWoods1Kiosk:onInitialize()

	Layout.onInitialize(self)
	
end
-- ----------------------------------------------------------------------------
function layoutWoods1Kiosk:onShow()

	Layout.onShow(self)

	if (not layoutLakesideCampfire:isSeen()) then	
		if (self.mFirstTime) then
			think("MESSAGE_AH_CAMPFIRE")
			self.mFirstTime = false			
		end
	end

end
-- ----------------------------------------------------------------------------